

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/time.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/i386/kernel/time.c~x86-cmos-time-update-optimisation-locking-fix-check arch/i386/kernel/time.c
--- 25/arch/i386/kernel/time.c~x86-cmos-time-update-optimisation-locking-fix-check	2005-03-19 14:37:31.000000000 -0800
+++ 25-akpm/arch/i386/kernel/time.c	2005-03-19 14:37:31.000000000 -0800
@@ -204,6 +204,8 @@ static int set_rtc_mmss(unsigned long no
 {
 	int retval;
 
+	WARN_ON(irqs_disabled());
+
 	/* gets recalled with irq locally disabled */
 	spin_lock_irq(&rtc_lock);
 	if (efi_enabled)
_
